Bullet Collision Detection & Physics Library: btPointCollector Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btPointCollector Struct Reference

`#include <btPointCollector.h>`

Inheritance diagram for btPointCollector:
[legend]
Collaboration diagram for btPointCollector:
[legend]

## Public Member Functions
| btPointCollector ()
virtual void | setShapeIdentifiersA (int partId0, int index0)
| setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner More...
virtual void | setShapeIdentifiersB (int partId1, int index1)
virtual void | addContactPoint (const btVector3 &normalOnBInWorld, const btVector3 &pointInWorld, btScalar depth)
Public Member Functions inherited from btDiscreteCollisionDetectorInterface::Result
virtual | ~Result ()

## Public Attributes
btVector3 | m_normalOnBInWorld
btVector3 | m_pointInWorld
btScalar | m_distance
bool | m_hasResult

## Detailed Description

Definition at line 23 of file btPointCollector.h.

## Constructor & Destructor Documentation

## ◆ btPointCollector()

btPointCollector::btPointCollector | ( |  | ) |
| inline

Definition at line 33 of file btPointCollector.h.

## Member Function Documentation

## ◆ addContactPoint()

virtual void btPointCollector::addContactPoint | ( | const btVector3 & | normalOnBInWorld,
|  | const btVector3 & | pointInWorld,
|  | btScalar | depth
| ) |  |
| inlinevirtual

Implements btDiscreteCollisionDetectorInterface::Result.

Definition at line 50 of file btPointCollector.h.

## ◆ setShapeIdentifiersA()

virtual void btPointCollector::setShapeIdentifiersA | ( | int | partId0,
|  | int | index0
| ) |  |
| inlinevirtual

setShapeIdentifiersA/B provides experimental support for per-triangle material / custom material combiner

Implements btDiscreteCollisionDetectorInterface::Result.

Definition at line 38 of file btPointCollector.h.

## ◆ setShapeIdentifiersB()

virtual void btPointCollector::setShapeIdentifiersB | ( | int | partId1,
|  | int | index1
| ) |  |
| inlinevirtual

Implements btDiscreteCollisionDetectorInterface::Result.

Definition at line 44 of file btPointCollector.h.

## Member Data Documentation

## ◆ m_distance

btScalar btPointCollector::m_distance

Definition at line 29 of file btPointCollector.h.

## ◆ m_hasResult

bool btPointCollector::m_hasResult

Definition at line 31 of file btPointCollector.h.

## ◆ m_normalOnBInWorld

btVector3 btPointCollector::m_normalOnBInWorld

Definition at line 27 of file btPointCollector.h.

## ◆ m_pointInWorld

btVector3 btPointCollector::m_pointInWorld

Definition at line 28 of file btPointCollector.h.

The documentation for this struct was generated from the following file:

- btPointCollector.h